## ppc64-diag 2.6.4

=== Makefile ===
#
# Makefile for ppc64-diag
#

include rules.mk

.SILENT:

SUBDIRS = rtas_errd diags scripts ela lpd opal_errd

LICENSE = COPYRIGHT

DOXYGEN_CFG = doxygen.config
TARBALL_FILES += $(DOXYGEN_CFG)

all:
	@echo "Building rtas_errd files..."
	@$(MAKE) -C rtas_errd
	@echo "Building diags files..."
	@$(MAKE) -C diags
	@echo "Building ela files..."
	@$(MAKE) -C ela
	@echo "Building lpd files..."
	@$(MAKE) -C lpd
	@echo "Building opal_errd files..."
	@$(MAKE) -C opal_errd

install: all
	@$(call install_files,$(LICENSE),644,$(DESTDIR)/usr/share/doc/packages/ppc64-diag)
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d install;)

uninstall: 
	@$(call uninstall_files,$(LICENSE),644,$(DESTDIR)/usr/share/doc/packages/ppc64-diag)
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall;)

rpm: all
	@echo "Creating rpm..."
	@export DESTDIR=$(SHIPDIR); $(MAKE) install
	@$(RPM) -bb ppc64-diag.spec
	@rm -rf $(SHIPDIR)

tarball: clean
	@echo "Creating source tarball..."
	@$(BUILD_TARBALL)

doc: $(DOXYGEN_CFG)
	@$(DOXYGEN) $(DOXYGEN_CFG)

clean:
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;)
	@$(CLEAN) $(SHIPDIR) $(TARBALL) doc

=== diags/Makefile ===
#
# Makefile for ppc64-diag/diags
#

include ../rules.mk

PROGS = diag_encl encl_led
DIAG_ENCL_OBJS = diag_encl.o 7031_D24_T24.o bluehawk.o encl_util.o
DIAG_ENCL_LIBS = -lservicelog -lsqlite3 -lrtasevent
ENCL_LED_OBJS = encl_led.o encl_util.o bluehawk_led.o

SUBDIRS = doc

DOXYGEN_CFG = doxygen.config

all: $(PROGS)

diag_encl: $(DIAG_ENCL_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	@$(CC) $(CFLAGS) -o $@ $^ $(DIAG_ENCL_LIBS)

encl_led: $(ENCL_LED_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	@$(CC) $(CFLAGS) -o $@ $^

diag_encl.o: encl_util.h diag_encl.h

7031_D24_T24.o: diag_encl.h

bluehawk.o: encl_util.h bluehawk.h diag_encl.h

encl_util.o: encl_util.h

encl_led.o: encl_util.h bluehawk.h

install: all
	@$(call install_sbin,diag_encl,$(DESTDIR))
	@$(call install_sbin,encl_led,$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d install)

uninstall:
	@$(call uninstall_sbin,diag_encl,$(DESTDIR))
	@$(call uninstall_sbin,encl_led,$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall)

doc: $(DOXYGEN_CFG)
	@echo "Creating doxygen docs for diag_encl"
	@$(DOXYGEN) $(DOXYGEN_CFG)

clean:
	@echo "Cleaning up $(WORK_DIR) files..."
	@rm -rf $(PROGS) *.o

=== ela/Makefile ===
#
## Makefile for ppc64-diag/ela
#

include ../rules.mk

CMDS = explain_syslog add_regex syslog_to_svclog
CATALOG = message_catalog/cxgb3 message_catalog/e1000e \
	  message_catalog/exceptions message_catalog/reporters \
	  message_catalog/gpfs
CATALOG_REGEX = message_catalog/with_regex/cxgb3 \
	        message_catalog/with_regex/e1000e \
		message_catalog/with_regex/gpfs
MANPAGES = doc/explain_syslog.8.gz doc/syslog_to_svclog.8.gz	
 
COMMON_OBJS = rr.tab.o lex.rr.o ev.tab.o lex.ev.o date.o
ES_OBJS = explain_syslog.o catalogs.o $(COMMON_OBJS)
SS_OBJS = syslog_to_svclog.o catalogs.o $(COMMON_OBJS)
AR_OBJS = add_regex.o catalogs.o $(COMMON_OBJS)
SS_LIBS = -lservicelog -lvpd -lvpd_cxx -lsqlite3 -lrtasevent

all: $(CMDS) $(CATALOG) $(CATALOG_REGEX)

explain_syslog: $(ES_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CXX) $(CXXFLAGS) -o $@ $^ 

syslog_to_svclog: $(SS_OBJS) 
	@echo "LD $(WORK_DIR)/$@"
	$(CXX) $(CXXFLAGS) -o $@ $^ $(SS_LIBS)

add_regex: $(AR_OBJS)
	@echo "LD $(WORK_DIR)/$@" 
	$(CXX) $(CXXFLAGS) -o $@ $^

rr.tab.o: rr.tab.c rr.tab.h catalogs.h
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c rr.tab.c

ev.tab.o: ev.tab.c ev.tab.h catalogs.h
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c ev.tab.c

rr.tab.c: rr.tab.h

ev.tab.c: ev.tab.h

rr.tab.h: reporter_gram.y
	yacc -dl -b rr -p rr reporter_gram.y

ev.tab.h: event_gram.y
	yacc -dl -b ev -p ev event_gram.y

lex.rr.o: lex.rr.c rr.tab.h catalogs.h
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c lex.rr.c

lex.ev.o: lex.ev.c ev.tab.h catalogs.h
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c lex.ev.c

lex.rr.c: reporter_lex.l
	flex -Prr reporter_lex.l

lex.ev.c: event_lex.l
	flex -Pev event_lex.l

catalogs.o: catalogs.h

install: all
	@$(call install_sbin,$(CMDS),$(DESTDIR))        
	@$(call install_files,$(CATALOG),744,$(DESTDIR)/etc/ppc64-diag/message_catalog)
	@$(call install_files,$(CATALOG_REGEX),744,$(DESTDIR)/etc/ppc64-diag/message_catalog/with_regex)
	@$(call install_man,$(MANPAGES),$(DESTDIR))
	$(INSTALL) -d -m 755 $(DESTDIR)/var/log/ppc64-diag

clean:
	@rm -rf $(CMDS) *.o lex.*.c *.tab.c *.tab.h

uninstall:
	@$(call uninstall_sbin,$(CMDS),$(DESTDIR))        
	@$(call uninstall_files,$(CATALOG),$(DESTDIR)/etc/ppc64-diag/)
	@$(call uninstall_files,$(CATALOG_REGEX),$(DESTDIR)/etc/ppc64-diag/)
	@$(call uninstall_man,$(MANPAGES),$(DESTDIR)/usr/share/man/man8)

=== lpd/Makefile ===
#
# Makefile for lpd
#

include ../rules.mk

CMDS = lp_diag usysident usysattn

COMMON_OBJS = files.o lp_util.o indicator_ses.o indicator_rtas.o indicator.o
LP_DIAG_OBJS =  servicelog.o lp_diag.o
USYSIDENT_OBJS = usysident.o

COMMON_LIBS = -lrtas -lrtasevent -lservicelog -lsqlite3
LP_DIAG_LIBS = -lncurses -lmenu

LICENSE = COPYRIGHT

SUBDIRS = scripts man

all: $(CMDS)

lp_diag: $(LP_DIAG_OBJS) $(COMMON_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CC) $(CFLAGS) -o $@ $^ $(COMMON_LIBS) $(LP_DIAG_LIBS)

usysident: $(USYSIDENT_OBJS) $(COMMON_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CC) $(CFLAGS) -o $@ $^ $(COMMON_LIBS)

usysattn: $(USYSIDENT_OBJS) $(COMMON_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CC) $(CFLAGS) -o $@ $^ $(COMMON_LIBS)

install: all
	@$(call install_sbin,$(CMDS),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d install;)

uninstall:
	@$(call uninstall_sbin,$(CMDS),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall;)

clean:
	@echo "Cleaning up lpd files..."
	@rm -rf $(CMDS) $(COMMON_OBJS) $(LP_DIAG_OBJS) $(USYSIDENT_OBJS)

=== opal_errd/Makefile ===
#
# Makefile for ppc64-diag/opal_errd
#

include ../rules.mk

CMDS = opal_errd extract_opal_dump

OPAL_ERRD_OBJS = opal_errd.o
OPAL_DUMP_OBJS = extract_opal_dump.o

SUBDIRS = opal-elog-parse

all: $(CMDS)
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d;)

opal_errd: $(OPAL_ERRD_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CC) $(CFLAGS) -o $@ $^ $(OPAL_ERRD_LIBS)

extract_opal_dump: $(OPAL_DUMP_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CC) $(CFLAGS) -o $@ $^ $(OPAL_DUMP_LIBS)

install: all
	@$(call install_sbin,$(CMDS),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d install;)

uninstall:
	@$(call uninstall_sbin,$(CMDS),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall;)

clean:
	@echo "Cleaning up $(WORK_DIR) files..."
	@rm -rf $(CMDS) $(OPAL_ERRD_OBJS) $(OPAL_DUMP_OBJS)
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;)

=== rtas_errd/Makefile ===
#
# Makefile for ppc64-diag/rtas_errd
#

include ../rules.mk

CMDS = rtas_errd convert_dt_node_props extract_platdump
SCRIPTS = rc.powerfail
PRRN_HOTPLUG = prrn_hotplug

RTAS_ERRD_OBJS = rtas_errd.o epow.o dump.o guard.o eeh.o update.o \
		 files.o config.o diag_support.o ela.o v6ela.o servicelog.o \
		 signal.o prrn.o hotplug.o

RTAS_ERRD_LIBS = -lrtas -lrtasevent -lservicelog -lsqlite3

DT_NODE_OBJS = convert_dt_node_props.o

EXTRACT_PLATDUMP_OBJS = extract_platdump.o config.o
EXTRACT_PLATDUMP_LIBS = -lrtas

DOXYGEN_CFG = doxygen.config

all: $(CMDS) $(SCRIPTS)

rtas_errd: $(RTAS_ERRD_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CC) $(CFLAGS) -o $@ $^ $(RTAS_ERRD_LIBS)

convert_dt_node_props: $(DT_NODE_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	@$(CC) $(CFLAGS) -o $@ $^

extract_platdump: $(EXTRACT_PLATDUMP_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	@$(CC) $(CFLAGS) -o $@ $^ $(EXTRACT_PLATDUMP_LIBS)

install: all
	@$(call install_sbin,$(CMDS),$(DESTDIR))	
	@$(call install_files,$(SCRIPTS),744,$(DESTDIR)/etc)	
	@$(call install_files,$(PRRN_HOTPLUG),744,$(DESTDIR)/etc/ppc64-diag)

uninstall:
	@$(call uninstall_sbin,$(CMDS),$(DESTDIR))
	@$(call uninstall_files,$(SCRIPTS),$(DESTDIR)/etc)
	@$(call uninstall_files,$(PRRN_HOTPLUG),$(DESTDIR)/etc/ppc64-diag)
	
doc: $(DOXYGEN_CFG)
	@echo "Creating doxygen docs..."
	@$(DOXYGEN) $(DOXYGEN_CFG)

clean:
	@echo "Cleaning up $(WORK_DIR) files..."
	@rm -rf $(CMDS) $(RTAS_ERRD_OBJS) $(DT_NODE_OBJS) \
		$(EXTRACT_PLATDUMP_OBJS) doc

=== scripts/Makefile ===
#
# Makefile for ppc64-diag/scripts
#

include ../rules.mk

SCRIPTS = ppc64_diag_setup ppc64_diag_mkrsrc ppc64_diag_notify \
          ppc64_diag_migrate servevent_parse.pl
INIT_FILES = rtas_errd opal_errd
CFG_FILES = ppc64-diag.config

all: $(SCRIPTS) $(INIT_FILES) $(CFG_FILES)

install: all
	@$(call install_files,$(SCRIPTS),744,$(DESTDIR)/etc/ppc64-diag)
	@$(call install_files,$(INIT_FILES),755,$(DESTDIR)/etc/init.d)
	@$(call install_files,$(CFG_FILES),644,$(DESTDIR)/etc/ppc64-diag)

uninstall: 
	@$(call uninstall_files,$(SCRIPTS),$(DESTDIR)/etc/ppc64-diag)
	@$(call uninstall_files,$(INIT_FILES),$(DESTDIR)/etc/init.d)
	@$(call uninstall_files,$(CFG_FILES),$(DESTDIR)/etc/ppc64-diag)

clean:

=== diags/doc/Makefile ===
#
# Makefile for ppc64-diag/diags/doc
#

include ../../rules.mk

MANPAGES = diag_encl.8.gz encl_led.8.gz

DOXYGEN_CFG = doxygen.config

all:

install: all
	@$(call install_man,$(MANPAGES),$(DESTDIR))

uninstall:
	@$(call uninstall_man,$(MANPAGES),$(DESTDIR))

=== diags/test/Makefile ===
#
#  Makefile for ppc64-diag/diags/test
#

PROGS = bh_structs bh_mk_healthy bh_mk_hot_power bh_dump_pg2 bh_vpd
SAMPLE_PAGES = bh_healthy.pg2 bh_hot_power.pg2
CFLAGS = -g -Wall
INCLUDE = -I..

all: $(PROGS) $(SAMPLE_PAGES)

bh_mk_healthy: bh_mk_healthy.o test_utils.o bh_healthy.o
	$(CC) $(CFLAGS) $(INCLUDE) -o bh_mk_healthy bh_mk_healthy.o test_utils.o bh_healthy.o

bh_mk_hot_power: bh_mk_hot_power.o test_utils.o bh_healthy.o
	$(CC) $(CFLAGS) $(INCLUDE) -o bh_mk_hot_power bh_mk_hot_power.o test_utils.o bh_healthy.o

bh_structs: bh_structs.o
	$(CC) $(CFLAGS) $(INCLUDE) -o bh_structs bh_structs.o

bh_healthy.pg2: bh_mk_healthy
	./bh_mk_healthy bh_healthy.pg2

bh_hot_power.pg2: bh_mk_hot_power
	./bh_mk_hot_power bh_hot_power.pg2

bh_dump_pg2: bh_dump_pg2.o test_utils.o
	$(CC) $(CFLAGS) $(INCLUDE) -o bh_dump_pg2 bh_dump_pg2.o test_utils.o

bh_vpd: bh_vpd.o
	$(CC) $(CFLAGS) $(INCLUDE) -o bh_vpd bh_vpd.o

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDE) -c $<

clean:
	rm -f $(PROGS) *.o $(SAMPLE_PAGES)

=== lpd/man/Makefile ===
#
# Makefile for lpd/man
#
.SILENT:
include ../../rules.mk

MANPAGES = lp_diag.8 usysattn.8 usysident.8 usysfault.8

C_MANPAGES = lp_diag.8.gz usysattn.8.gz usysident.8.gz usysfault.8.gz

all: $(MANPAGES)

install: all
	@$(call install_man,$(MANPAGES),$(DESTDIR))
	for file in $(MANPAGES) ; do \
		gzip -f $(DESTDIR)/$(MAN_DIR)/$$file ;\
	done

uninstall:
	@$(call uninstall_man,$(C_MANPAGES),$(DESTDIR))

clean:

=== lpd/scripts/Makefile ===
#
# Makefile for lpd/scripts
#
include ../../rules.mk

SCRIPTS = lp_diag_setup lp_diag_notify

all: $(SCRIPTS)

install: all
	@$(call install_files,$(SCRIPTS),744,$(DESTDIR)/etc/ppc64-diag)

uninstall:
	@$(call uninstall_files,$(SCRIPTS),$(DESTDIR)/etc/ppc64-diag)

clean:

=== lpd/test/Makefile ===
#
# Makefile for lp/test
#

.SILENT:
include ../../rules.mk

CMDS = ledtool sesdevices

INCLUDE = -I..
CFLAGS = -g -DDEBUG $(INCLUDE)
AM_CFLAGS = -DVERSION='"$(VERSION)"'

LPD_DIR = $(ROOT_DIR)/lpd

COMMON_OBJS = ../files.o ../lp_util.o ../indicator_ses.o \
	      ../indicator_rtas.o ../indicator.o ../servicelog.o

LED_TOOL_OBJS =  ledtool.o
SES_TOOL_OBJS = sesdevices.o

LED_TOOL_LIBS = -lrtas -lrtasevent -lservicelog -lsqlite3

LICENSE = COPYRIGHT

all: $(CMDS)

ledtool: $(LED_TOOL_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CC) $(CFLAGS) $(COMMON_OBJS) -o $@ $^ $(LED_TOOL_LIBS)

sesdevices: $(SES_TOOL_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CC) $(CFLAGS) $(COMMON_OBJS) -o $@ $^ $(LED_TOOL_LIBS)

install: all
	@$(call install_sbin,$(CMDS),$(DESTDIR))

uninstall:
	@$(call uninstall_sbin,$(CMDS),$(DESTDIR))

clean:
	@echo "Cleaning up lpd test files..."
	@rm -rf $(SES_TOOL_OBJS) $(LED_TOOL_OBJS) $(CMDS)

=== debian/changelog ===
ppc64-diag (2.6.4-0ubuntu4) trusty; urgency=medium

  * Add missing build-dependency on libvpd-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Apr 2014 09:59:38 -0700

ppc64-diag (2.6.4-0ubuntu3) trusty; urgency=medium

  [ Frédéric Bonnard ]
  * Changing rights message catalog
  * Fixing lintian error init.d-script-missing-dependency-on-remote_fs
  * Fixing lintian check : init.d-script-missing-start

  [ Steve Langasek ]
  * Fix upstart pre-start scripts to actually stop the job when it's meant
    to not run.
  * Clean up cat|grep|awk pipeline in init scripts

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 02 Apr 2014 15:09:16 -0700

ppc64-diag (2.6.4-0ubuntu2) trusty; urgency=medium

  * Adding support for opal_errd and a fix for rtas
  * Initial release.

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Mon, 24 Mar 2014 09:58:14 +0000

=== debian/control ===
Source: ppc64-diag
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
Build-Depends: debhelper (>= 9.0.0), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libsqlite3-dev, libvpd-dev
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/

Package: ppc64-diag
Architecture: powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}, lsvpd, servicelog, powerpc-ibm-utils (>= 1.2.15), lsb-base
Description: Platform error log analysis tool and rtas_errd daemon
 This package contains various diagnostic tools for PowerLinux.
 These tools captures the diagnostic events from Power Systems
 platform firmware, SES enclosures and device drivers, and
 write events to servicelog database. It also provides automated
 responses to urgent events such as environmental conditions and
 predictive failures, if appropriate modifies the FRUs fault
 indicator(s) and provides event notification to system
 administrators or connected service frameworks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@

override_dh_auto_install:
	install -d debian/ppc64-diag
	make -j1 install DESTDIR=$(CURDIR)/debian/ppc64-diag AM_UPDATE_INFO_DIR=no
	chmod 644 debian/ppc64-diag/etc/ppc64-diag/servevent_parse.pl
	find $(CURDIR)/debian/ppc64-diag/etc/ppc64-diag/message_catalog -type f -print0 | \
		xargs -0 chmod a-x
	install -d debian/ppc64-diag/etc/ppc64-diag/ses_pages


override_dh_installinit:
	dh_installinit --name=rtas_errd
	dh_installinit --name=opal_errd

## ppc64-diag 2.6.7

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 .SILENT:
 
-SUBDIRS = rtas_errd diags scripts ela lpd opal_errd
+SUBDIRS = rtas_errd diags scripts ela lpd opal_errd opal-dump-parse
 
 LICENSE = COPYRIGHT
 
@@ -24,6 +24,9 @@
 	@$(MAKE) -C lpd
 	@echo "Building opal_errd files..."
 	@$(MAKE) -C opal_errd
+	@echo "Building opal-dump-parse files..."
+	@$(MAKE) -C opal-dump-parse
+
 
 install: all
 	@$(call install_files,$(LICENSE),644,$(DESTDIR)/usr/share/doc/packages/ppc64-diag)

=== lpd/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 LP_DIAG_OBJS =  servicelog.o lp_diag.o
 USYSIDENT_OBJS = usysident.o
 
-COMMON_LIBS = -lrtas -lrtasevent -lservicelog -lsqlite3
+COMMON_LIBS = -lrtas -lrtasevent -lservicelog
 LP_DIAG_LIBS = -lncurses -lmenu
 
 LICENSE = COPYRIGHT

=== lpd/test/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 LED_TOOL_OBJS =  ledtool.o
 SES_TOOL_OBJS = sesdevices.o
 
-LED_TOOL_LIBS = -lrtas -lrtasevent -lservicelog -lsqlite3
+LED_TOOL_LIBS = -lrtas -lrtasevent -lservicelog
 
 LICENSE = COPYRIGHT

=== debian/changelog ===
ppc64-diag (2.6.7-0ubuntu1) utopic; urgency=medium

  * New upstream release, with little-endian fixes (LP: #1358506)
  * Add newly-required build-dep on libudev-dev for opal_errd.
  * Skip installing systemd units for now, since they also seem
    to depend on installing upstream's version of the init jobs.
  * Drop libsqlite3-dev build-dep, not required by upstream code.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 03 Oct 2014 16:56:45 -0600

ppc64-diag (2.6.6-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * drop all debian/patches, included upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Jun 2014 14:27:22 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
-Build-Depends: debhelper (>= 9.0.0), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libsqlite3-dev, libvpd-dev
+Build-Depends: debhelper (>= 9.0.0), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
 Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/

## ppc64-diag 2.6.9

=== debian/changelog ===
ppc64-diag (2.6.9-0ubuntu1~15.04) vivid; urgency=medium

  * New upstream release. (LP: #1463063)
    - Added Home Run (5887) enclosure diagnostics support
    - Added PHB hotplugging support for PowerKVM guest
    - Fixed LE issue in rtas_errd
    - Fixed memory leak in rtas_errd

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 05 Aug 2015 14:05:42 -0400

ppc64-diag (2.6.8-0ubuntu2) wily; urgency=medium

  * debian/ppc64-diag.*.upstart, debian/ppc64-diag.*.init: Fix platform checks,
    so that opal_errd and rtas_errd only start when supported.
  * debian/no-upstream-init.patch:
    - fix up the systemd services to not make use of the upstream init scripts,
      and instead start the daemon directly.
    - ship an extra small script to handle system registration, to be used from
      the upstart/systemd/sysv scripts.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 04 Jun 2015 16:20:46 -0400

ppc64-diag (2.6.8-0ubuntu1) wily; urgency=medium

  * New upstream release. (LP: #1459698)
  * Drop debian patches included upstream:
    - printk-dump-sections.patch: Add printk log in the list of dump sections
    - extract-platdump-endian.patch: rtas_errd: LE fixes for extract_platdump
    - prrn-event-endian.patch: rtas_errd: Fix PRRN Event handling on LE POWER

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 04 Jun 2015 12:23:28 -0400

ppc64-diag (2.6.7-0ubuntu2) vivid; urgency=medium

  * Backport some patches from git for little-endian support (LP: #1391331)
    - printk-dump-sections.patch: Add printk log in the list of dump sections
    - extract-platdump-endian.patch: rtas_errd: LE fixes for extract_platdump
    - prrn-event-endian.patch: rtas_errd: Fix PRRN Event handling on LE POWER
  * Ship a /var/log/dump directory which write to at runtime (LP: #1353542)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 02 Feb 2015 01:28:46 -0700

## ppc64-diag 2.7.0

=== Makefile ===
--- 
+++ 
@@ -5,15 +5,18 @@
 include rules.mk
 
 .SILENT:
+BUILD_DIR=$(CURDIR)
 
-SUBDIRS = rtas_errd diags scripts ela lpd opal_errd opal-dump-parse
+SUBDIRS = common rtas_errd diags scripts ela lpd opal_errd opal-dump-parse
 
-LICENSE = COPYRIGHT
+LICENSE = COPYING
 
 DOXYGEN_CFG = doxygen.config
 TARBALL_FILES += $(DOXYGEN_CFG)
 
 all:
+	@echo "Building common files..."
+	@$(MAKE) -C common
 	@echo "Building rtas_errd files..."
 	@$(MAKE) -C rtas_errd
 	@echo "Building diags files..."
@@ -52,3 +55,14 @@
 clean:
 	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;)
 	@$(CLEAN) $(SHIPDIR) $(TARBALL) doc
+	rm -rf TAGS cscope.*
+
+.PHONY: TAGS
+TAGS:
+	rm -f $@
+	find "$(BUILD_DIR)" -name '*.[hc]' -exec etags --append {} +
+
+cscope:
+	rm -f ./cscope.*
+	find "$(BUILD_DIR)" -name "*.[chsS]" -print | sed 's,^\./,,' > ./cscope.files
+	cscope -b

=== common/Makefile ===
#
# Makefile for ppc64-diag/common
#
include ../rules.mk

SRC = platform.c utils.c
OBJ = $(SRC:.c=.o)

SUBDIRS = tests

.PHONY: all clean

all: $(OBJ) $(CMD)
	@$(foreach d, $(SUBDIRS), $(MAKE) -C $d;)

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

install:

uninstall:

clean:
	@$(foreach d, $(SUBDIRS), $(MAKE) -C $d clean;)
	@echo "Cleaning up $(WORK_DIR) files..."
	@rm -f $(OBJ)

=== diags/Makefile ===
--- 
+++ 
@@ -4,24 +4,31 @@
 
 include ../rules.mk
 
+INCLUDE = -I$(COMMON_DIR)
+
 PROGS = diag_encl encl_led
-DIAG_ENCL_OBJS = diag_encl.o 7031_D24_T24.o bluehawk.o encl_util.o
-DIAG_ENCL_LIBS = -lservicelog -lsqlite3 -lrtasevent
-ENCL_LED_OBJS = encl_led.o encl_util.o bluehawk_led.o
 
-SUBDIRS = doc
+DIAG_ENCL_OBJS = diag_encl.o 7031_D24_T24.o bluehawk.o encl_util.o \
+		 encl_common.o homerun.o
+ENCL_LED_OBJS = encl_led.o encl_util.o bluehawk_led.o homerun_led.o
+COMMON_UTILS_OBJ = $(addprefix $(COMMON_DIR)/, platform.o utils.o)
+
+DIAG_ENCL_LIBS = -lservicelog -lrtasevent
+
+SUBDIRS = man
 
 DOXYGEN_CFG = doxygen.config
 
 all: $(PROGS)
+	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d;)
 
 diag_encl: $(DIAG_ENCL_OBJS)
 	@echo "LD $(WORK_DIR)/$@"
-	@$(CC) $(CFLAGS) -o $@ $^ $(DIAG_ENCL_LIBS)
+	@$(CC) $(CFLAGS) $(INCLUDE) $(COMMON_UTILS_OBJ) -o $@ $^ $(DIAG_ENCL_LIBS)
 
 encl_led: $(ENCL_LED_OBJS)
 	@echo "LD $(WORK_DIR)/$@"
-	@$(CC) $(CFLAGS) -o $@ $^
+	@$(CC) $(CFLAGS) $(INCLUDE) $(COMMON_UTILS_OBJ) -o $@ $^
 
 diag_encl.o: encl_util.h diag_encl.h

=== ela/Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 #
 
 include ../rules.mk
+
+SUBDIRS = man
 
 CMDS = explain_syslog add_regex syslog_to_svclog
 CATALOG = message_catalog/cxgb3 message_catalog/e1000e \
@@ -11,15 +13,15 @@
 CATALOG_REGEX = message_catalog/with_regex/cxgb3 \
 	        message_catalog/with_regex/e1000e \
 		message_catalog/with_regex/gpfs
-MANPAGES = doc/explain_syslog.8.gz doc/syslog_to_svclog.8.gz	
- 
+
 COMMON_OBJS = rr.tab.o lex.rr.o ev.tab.o lex.ev.o date.o
 ES_OBJS = explain_syslog.o catalogs.o $(COMMON_OBJS)
 SS_OBJS = syslog_to_svclog.o catalogs.o $(COMMON_OBJS)
 AR_OBJS = add_regex.o catalogs.o $(COMMON_OBJS)
-SS_LIBS = -lservicelog -lvpd -lvpd_cxx -lsqlite3 -lrtasevent
+SS_LIBS = -lservicelog -lvpd -lvpd_cxx -lrtasevent
 
 all: $(CMDS) $(CATALOG) $(CATALOG_REGEX)
+	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d;)
 
 explain_syslog: $(ES_OBJS)
 	@echo "LD $(WORK_DIR)/$@"
@@ -67,15 +69,15 @@
 	@$(call install_sbin,$(CMDS),$(DESTDIR))        
 	@$(call install_files,$(CATALOG),744,$(DESTDIR)/etc/ppc64-diag/message_catalog)
 	@$(call install_files,$(CATALOG_REGEX),744,$(DESTDIR)/etc/ppc64-diag/message_catalog/with_regex)
-	@$(call install_man,$(MANPAGES),$(DESTDIR))
 	$(INSTALL) -d -m 755 $(DESTDIR)/var/log/ppc64-diag
+	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d install;)
 
 clean:
 	@rm -rf $(CMDS) *.o lex.*.c *.tab.c *.tab.h
+	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;)
 
 uninstall:
 	@$(call uninstall_sbin,$(CMDS),$(DESTDIR))        
 	@$(call uninstall_files,$(CATALOG),$(DESTDIR)/etc/ppc64-diag/)
 	@$(call uninstall_files,$(CATALOG_REGEX),$(DESTDIR)/etc/ppc64-diag/)
-	@$(call uninstall_man,$(MANPAGES),$(DESTDIR)/usr/share/man/man8)
- 
+	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall;)

=== opal-dump-parse/Makefile ===
#
# Makefile for opal-dump-parse
#

include ../rules.mk

CMDS = opal-dump-parse
OPAL_DUMP_MAN = opal-dump-parse.8.gz

OPAL_DUMP_OBJS = opal-dump-parse.o

all : $(CMDS) $(OPAL_DUMP_MAN)

opal-dump-parse : opal-dump-parse.c opal-dump-parse.h

%.8.gz: %.8
	gzip -c $< > $@

install: all
	@$(call install_sbin,$(CMDS),$(DESTDIR))
	@$(call install_man,$(OPAL_DUMP_MAN),$(DESTDIR))

uninstall:
	@$(call uninstall_sbin,$(CMDS),$(DESTDIR))
	@$(call uninstall_man,$(OPAL_DUMP_MAN), $(DESTDIR))

clean:
	@echo "Cleaning up opal-dump-parse files..."
	@rm -rf $(CMDS) $(OPAL_DUMP_OBJS)
	@rm -rf *.8.gz

=== opal_errd/Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 
 CMDS = opal_errd extract_opal_dump
 
-OPAL_ERRD_OBJS = opal_errd.o
+OPAL_ERRD_OBJS = opal_errd.o opal-elog-parse/opal-event-data.o
+OPAL_ERRD_LIBS = -ludev
 OPAL_DUMP_OBJS = extract_opal_dump.o
-
-SUBDIRS = opal-elog-parse
+SUBDIRS = opal-elog-parse man
 
 all: $(CMDS)
 	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d;)
@@ -21,6 +21,9 @@
 extract_opal_dump: $(OPAL_DUMP_OBJS)
 	@echo "LD $(WORK_DIR)/$@"
 	$(CC) $(CFLAGS) -o $@ $^ $(OPAL_DUMP_LIBS)
+
+opal-elog-parse/opal-event-data.o:
+	@$(MAKE) -C opal-elog-parse opal-event-data.o
 
 install: all
 	@$(call install_sbin,$(CMDS),$(DESTDIR))

=== scripts/Makefile ===
#
# Makefile for ppc64-diag/scripts
#

include ../rules.mk

SCRIPTS = ppc64_diag_setup ppc64_diag_mkrsrc ppc64_diag_notify \
          ppc64_diag_migrate servevent_parse.pl
INIT_FILES = rtas_errd opal_errd
SERVICE_SCRIPT = rtas_errd.service opal_errd.service
CFG_FILES = ppc64-diag.config

all: $(SCRIPTS) $(INIT_FILES) $(CFG_FILES)

install: all
	@$(call install_files,$(SCRIPTS),744,$(DESTDIR)/etc/ppc64-diag)
	@$(call install_files,$(INIT_FILES),755,$(DESTDIR)/$(LIBEXEC_DIR))
	@$(call install_files,$(SERVICE_SCRIPT),755,$(DESTDIR)/$(SYSTEMD_DIR))
	@$(call install_files,$(CFG_FILES),644,$(DESTDIR)/etc/ppc64-diag)

uninstall: 
	@$(call uninstall_files,$(SCRIPTS),$(DESTDIR)/etc/ppc64-diag)
	@$(call uninstall_files,$(INIT_FILES),$(DESTDIR)/$(LIBEXEC_DIR))
	@$(call uninstall_files,$(SERVICE_SCRIPT),755,$(DESTDIR)/$(SYSTEMD_DIR))
	@$(call uninstall_files,$(CFG_FILES),$(DESTDIR)/etc/ppc64-diag)

clean:

=== diags/test/Makefile ===
--- 
+++ 
@@ -5,7 +5,6 @@
 PROGS = bh_structs bh_mk_healthy bh_mk_hot_power bh_dump_pg2 bh_vpd
 SAMPLE_PAGES = bh_healthy.pg2 bh_hot_power.pg2
 CFLAGS = -g -Wall
-INCLUDE = -I..
 
 all: $(PROGS) $(SAMPLE_PAGES)

=== ela/man/Makefile ===
include ../../rules.mk

ELA_MAN = explain_syslog.8.gz syslog_to_svclog.8.gz

all: $(ELA_MAN)

%.8.gz: %.8
	gzip -c $< > $@

install: all
	@$(call install_man,$(ELA_MAN),$(DESTDIR))

uninstall:
	@$(call uninstall_man,$(ELA_MAN), $(DESTDIR))

clean:
	rm -f *.gz

=== lpd/man/Makefile ===
#
# Makefile for lpd/man
#
.SILENT:
include ../../rules.mk

LPD_MAN = lp_diag.8.gz usysattn.8.gz usysident.8.gz usysfault.8.gz

all: $(LPD_MAN)

%.8.gz: %.8
	gzip -c $< > $@

install: all
	@$(call install_man,$(LPD_MAN),$(DESTDIR))

uninstall:
	@$(call uninstall_man,$(LPD_MAN),$(DESTDIR))

clean:
	@rm -f *.gz

=== lpd/test/Makefile ===
#
# Makefile for lp/test
#

.SILENT:
include ../../rules.mk

CMDS = ledtool sesdevices

INCLUDE = -I.. -I $(COMMON_DIR)
CFLAGS = -g -DDEBUG $(INCLUDE)
AM_CFLAGS = -DVERSION='"$(VERSION)"'

LPD_DIR = $(ROOT_DIR)/lpd

COMMON_OBJS = $(COMMON_DIR)/utils.o $(COMMON_DIR)/platform.o
LPD_OBJS = $(COMMON_OBJS) ../files.o ../lp_util.o ../indicator_ses.o \
	   ../indicator_rtas.o ../indicator_opal.o ../indicator.o \
	   ../servicelog.o

LED_TOOL_OBJS =  ledtool.o
SES_TOOL_OBJS = sesdevices.o

LED_TOOL_LIBS = -lrtas -lrtasevent -lservicelog

LICENSE = COPYING

all: $(CMDS)

ledtool: $(LED_TOOL_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CC) $(CFLAGS) $(LPD_OBJS) -o $@ $^ $(LED_TOOL_LIBS)

sesdevices: $(SES_TOOL_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(CC) $(CFLAGS) $(LPD_OBJS) -o $@ $^ $(LED_TOOL_LIBS)

install: all
	@$(call install_sbin,$(CMDS),$(DESTDIR))

uninstall:
	@$(call uninstall_sbin,$(CMDS),$(DESTDIR))

clean:
	@echo "Cleaning up lpd test files..."
	@rm -rf $(SES_TOOL_OBJS) $(LED_TOOL_OBJS) $(CMDS)

=== opal_errd/opal-elog-parse/Makefile ===
#
# Makefile for ppc64-diag/opal_errd/opal_elog_parse
#

include ../../rules.mk

Q =

ifndef V
Q = @
else
ifeq ($(V),0)
Q = @
endif
endif

CMDS = opal-elog-parse

OPAL_ELOG_OBJS = parse-opal-event.o opal-elog-parse.o opal-event-log.o \
                 print_helpers.o opal-event-data.o print-opal-event.o \
                 parse_helpers.o opal-datetime.o opal-v6-hdr.o \
                 opal-mtms-scn.o opal-mtms-struct.o opal-priv-hdr-scn.o \
                 opal-lr-scn.o opal-eh-scn.o opal-ep-scn.o opal-sw-scn.o \
                 opal-ud-scn.o opal-hm-scn.o opal-ch-scn.o opal-lp-scn.o \
                 opal-ie-scn.o opal-mi-scn.o opal-ei-scn.o opal-usr-scn.o \
                 opal-ed-scn.o opal-dh-scn.o opal-src-scn.o opal-src-fru-scn.o

all: $(CMDS)

opal-elog-parse: $(OPAL_ELOG_OBJS)
	@echo "LD $(WORK_DIR)/$@"
	$(Q)$(CC) $(CFLAGS) -o $@ $^

opal-elog-parse.o: opal-elog-parse.c parse-opal-event.h libopalevents.h opal-event-data.h
	@echo "CC $(WORK_DIR)/$@"
	$(Q)$(CC) $(CFLAGS) -c $<

parse-opal-event.o: parse-opal-event.c libopalevents.h print-opal-event.h
	@echo "CC $(WORK_DIR)/$@"
	$(Q)$(CC) $(CFLAGS) -c $<

print-opal-event.o: print-opal-event.c print-opal-event.h libopalevents.h opal-event-data.h print_helpers.h
	@echo "CC $(WORK_DIR)/$@"
	$(Q)$(CC) $(CFLAGS) -c $<

#opal-event-data and print_helpers
%.o: %.c %.h
	@echo "CC $(WORK_DIR)/$@"
	$(Q)$(CC) $(CFLAGS) -c $<

install: all
	@$(call install_sbin,$(CMDS),$(DESTDIR))

uninstall:
	@$(call uninstall_sbin,$(CMDS),$(DESTDIR))

clean:
	@echo "Cleaning up $(WORK_DIR) files..."
	$(Q)rm -rf $(CMDS) $(OPAL_ELOG_OBJS)

=== debian/changelog ===
ppc64-diag (2.7.0-0ubuntu3) xenial; urgency=medium

  * No-change rebuild for librtas2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Apr 2016 12:27:07 +0000

ppc64-diag (2.7.0-0ubuntu2) xenial; urgency=medium

  * Update debian/copyright with correct license for the new upstream
    version.  LP: #1539544.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Jan 2016 14:39:05 -0800

ppc64-diag (2.7.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.
    - Includes upstream fix for PowerNV systems not being called PowerKVM.
      LP: #1536516

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Jan 2016 15:51:05 -0800

ppc64-diag (2.6.10-0ubuntu1) xenial; urgency=medium

  * New upstream release. (LP: #1521680)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 14 Jan 2016 12:24:27 -0500

ppc64-diag (2.6.9-0ubuntu2) xenial; urgency=medium

  [ Frederic Bonnard ]
  * Fix failure to autostart the service on install on systemd-using systems
    (LP: #1505088):
    - debian/patches/systemd-installdir.patch: Fix path for systemd system
      services.
    - build-depend on dh-systemd.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Jan 2016 09:59:40 -0800

ppc64-diag (2.6.9-0ubuntu1) wily; urgency=medium

  * New upstream release. (LP: #1463063)
    - Added Home Run (5887) enclosure diagnostics support
    - Added PHB hotplugging support for PowerKVM guest
    - Fixed LE issue in rtas_errd
    - Fixed memory leak in rtas_errd

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 05 Aug 2015 14:05:42 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
-Build-Depends: debhelper (>= 9.0.0), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
+Build-Depends: debhelper (>= 9.0.0), dh-systemd, flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
 Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_install:
 	install -d debian/ppc64-diag

## ppc64-diag 2.7.1

=== diags/man/Makefile ===
#
# Makefile for ppc64-diag/diags/doc
#

include ../../rules.mk

MANPAGES = diag_encl.8.gz encl_led.8.gz

all: $(MANPAGES)

%.8.gz: %.8
	gzip -c $< > $@

install: all
	@$(call install_man,$(MANPAGES),$(DESTDIR))

uninstall:
	@$(call uninstall_man,$(MANPAGES),$(DESTDIR))

clean:
	@rm -f *.gz

=== debian/changelog ===
ppc64-diag (2.7.1-6) unstable; urgency=medium

  * Import patch set from Mauricio Faria de Oliveira to support Marvell HDD
    LEDs on S822LC for HPC (LP: #1650596) and commited in Ubuntu Zesty by Steve
    Langasek (2.7.1-5ubuntu1)

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Fri, 13 Jan 2017 13:36:03 +0100

ppc64-diag (2.7.1-5) unstable; urgency=medium

  * Fixes for CVE-2014-4038 and CVE-2014-4039

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Tue, 05 Jul 2016 17:28:18 +0200

ppc64-diag (2.7.1-4) unstable; urgency=medium

  * Team upload.
  * Move doxygen to build-dependencies, and build-indep to build
    target.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jun 2016 13:06:37 +0200

ppc64-diag (2.7.1-3) unstable; urgency=medium

  * Team upload
  * Make the doc package built on all archs, because some ppc-only
    libraries are used during its build, and not available
    on amd64 and i386, where the packages arch:all are actually built

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jun 2016 00:16:39 +0200

ppc64-diag (2.7.1-2) unstable; urgency=medium

  * Assign prerm and postinst to ppc64-diag package only (Closes: #827849)

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Wed, 22 Jun 2016 16:32:50 +0200

ppc64-diag (2.7.1-1) unstable; urgency=medium

  * Import from Ubuntu (Closes: #740179)

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Thu, 09 Jun 2016 15:05:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,27 @@
 Source: ppc64-diag
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
-Build-Depends: debhelper (>= 9.0.0), dh-systemd, flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
-Standards-Version: 3.9.5
+Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
+Build-Depends: debhelper (>= 9.0.0), dh-systemd, flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev, doxygen
+Standards-Version: 3.9.8
 Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/
+
+Package: ppc64-diag-doc
+Section: doc
+Architecture: powerpc ppc64 ppc64el
+Depends: ${misc:Depends}
+Description: Documentation for ppc64-diag tools
+ This package contains documentation for various diagnostic tools for
+ PowerLinux.
+ These tools captures the diagnostic events from Power Systems
+ platform firmware, SES enclosures and device drivers, and
+ write events to servicelog database. It also provides automated
+ responses to urgent events such as environmental conditions and
+ predictive failures, if appropriate modifies the FRUs fault
+ indicator(s) and provides event notification to system
+ administrators or connected service frameworks.
+ .
+ This package contains the documentation of ppc64-diag.
 
 Package: ppc64-diag
 Architecture: powerpc ppc64 ppc64el

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --with systemd

override_dh_auto_install:
	install -d debian/ppc64-diag
	make -j1 install DESTDIR=$(CURDIR)/debian/ppc64-diag AM_UPDATE_INFO_DIR=no
	chmod 644 debian/ppc64-diag/etc/ppc64-diag/servevent_parse.pl
	find $(CURDIR)/debian/ppc64-diag/etc/ppc64-diag/message_catalog -type f -print0 | \
		xargs -0 chmod a-x
	install -d debian/ppc64-diag/etc/ppc64-diag/ses_pages
	chmod 644 $(CURDIR)/debian/ppc64-diag/lib/systemd/system/rtas_errd.service \
		$(CURDIR)/debian/ppc64-diag/lib/systemd/system/opal_errd.service
	rm -fr $(CURDIR)/debian/ppc64-diag/usr/share/doc/packages


override_dh_installinit:
	dh_installinit --name=rtas_errd
	dh_installinit --name=opal_errd

override_dh_clean::
	dh_clean diags/man/*gz lpd/man/*gz install.log doc/

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

## ppc64-diag 2.7.4

=== debian/changelog ===
ppc64-diag (2.7.4-2~14.04) trusty; urgency=medium

  * SRU: LP: #1708494. Update to the version found in 17.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Nov 2017 16:59:36 +0000

ppc64-diag (2.7.4-2) unstable; urgency=medium

  * d/patches/fix-rtas_errd-unit.patch : fix rtas_errd being started where it
    should not and being reported by systemd as failing whereas the daemon
    exits as it should (LP: #1715397)

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Fri, 08 Sep 2017 11:08:42 +0000

ppc64-diag (2.7.4-1) unstable; urgency=medium

  * New upstream release
  * d/controf d/rules : use autoreconf as upstream move to autotools
  * d/patches :
    - drop patches not needed anymore
    - adapt some others due to autotools integration
  * Upgrade Standards-Version (upstart file removed)
  * d/ppc64-diag.manpages : add rtas_errd.8
  * d/rules : adapt to new upstream build process

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Thu, 24 Aug 2017 11:48:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ppc64-diag
 Section: misc
 Priority: extra
-Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
-Build-Depends: debhelper (>= 9.0.0), dh-systemd, flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev, doxygen
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
+Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, dh-systemd, flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev, doxygen
+Standards-Version: 4.0.1
 Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/
 
 Package: ppc64-diag-doc

## ppc64-diag 2.7.6

=== debian/changelog ===
ppc64-diag (2.7.6-1) unstable; urgency=medium

  * Update to new upstream version 2.7.6. (LP: #1615584)
  * Remove doc generation
  * Add field Rules-Requires-Root
  * Bumps Standards-version (no change required)

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 16 Jan 2020 13:26:34 +0100

ppc64-diag (2.7.5-1) unstable; urgency=medium

  * Update to new upstream version 2.7.5.
  * Update Debian maintainer information
  * Update priority in d/control
  * Use https in d/control's Format field
  * Upgrade to debhelper compat level 12
  * Fix lintian skip-systemd-native-flag-missing-pre-depends
  * Move documentation to /usr/share/doc/ppc64-diag

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 26 Aug 2019 13:33:25 +0200

=== debian/control ===
Source: ppc64-diag
Section: misc
Priority: optional
Maintainer: Frédéric Bonnard <frediz@debian.org>
Build-Depends: debhelper-compat (= 12), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/ppc64-diag.git
Vcs-Browser: https://salsa.debian.org/debian/ppc64-diag
Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/


Package: ppc64-diag
Architecture: powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}, lsvpd, servicelog, powerpc-ibm-utils (>= 1.2.15), lsb-base
Pre-Depends: ${misc:Pre-Depends}
Description: Platform error log analysis tool and rtas_errd daemon
 This package contains various diagnostic tools for PowerLinux.
 These tools captures the diagnostic events from Power Systems
 platform firmware, SES enclosures and device drivers, and
 write events to servicelog database. It also provides automated
 responses to urgent events such as environmental conditions and
 predictive failures, if appropriate modifies the FRUs fault
 indicator(s) and provides event notification to system
 administrators or connected service frameworks.

=== debian/watch ===
version=3
http://sf.net/linux-diag/ppc64-diag-(\d\S*).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ppc64-diag 2.7.7

=== debian/changelog ===
ppc64-diag (2.7.7-1) unstable; urgency=medium

  * Update to new upstream version 2.7.7.
  * Update d/copyright
  * Update d/watch format
  * Increase compatibility level to the recommended one
  * Use upstream manpage
  * Bump Standards-Version to 4.6.0.1
  * Add patches :
    - Use a string literal for the format argument of mvwprintw and mvprintw
    - Directories should be created executable.

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 15 Feb 2022 15:19:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: debhelper-compat (= 12), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/ppc64-diag.git
 Vcs-Browser: https://salsa.debian.org/debian/ppc64-diag
-Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/
+Homepage: https://github.com/power-ras/ppc64-diag
 
 
 Package: ppc64-diag

## ppc64-diag 2.7.8

=== debian/changelog ===
ppc64-diag (2.7.8-1) unstable; urgency=medium

  * Update to new upstream version 2.7.8.
  * Add build dependency on pkg-config
  * Fix d/copyright
  * Update upstream contact

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 10 May 2022 15:52:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: debhelper-compat (= 13), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
+Build-Depends: debhelper-compat (= 13), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev, pkg-config
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/ppc64-diag.git

## ppc64-diag 2.7.9

=== debian/changelog ===
ppc64-diag (2.7.9-1.1ubuntu1) questing; urgency=medium

  * Replace custom boolean type with <stdbool.h> for C23 compatibility
    (LP: #2124996)
  * d/.gitignore: do not ignore patches

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 18 Sep 2025 13:45:12 -0400

ppc64-diag (2.7.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files from / to /usr (DEP17). (Closes: #1087732)

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Nov 2024 15:11:39 +0100

ppc64-diag (2.7.9-1) unstable; urgency=medium

  * Update to new upstream version 2.7.9.
  * Update d/copyright
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 10 Jan 2023 16:50:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ppc64-diag
 Section: misc
 Priority: optional
-Maintainer: Frédéric Bonnard <frediz@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
 Build-Depends: debhelper-compat (= 13), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev, pkg-config
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/ppc64-diag.git
 Vcs-Browser: https://salsa.debian.org/debian/ppc64-diag

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/power-ras/ppc64-diag/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
